The total token supply for the native asset of that chain.
cURL
curl --request GET \ --url https://api.blockworks.com/v1/metrics/token-supply \ --header 'x-api-key: <api-key>'
{ "projectName": [ { "date": "2025-08-10", "value": 123456.789 }, { "date": "2025-08-11", "value": 234567.89 }, { "date": "2025-08-12", "value": 345678.901 } ] }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/metrics/token-supply?project=fogo"
{ "fogo": [ { "date": "2026-03-23", "value": 9967520112.178637 }, { "date": "2026-03-22", "value": 9966974865.951672 }, { "date": "2026-03-21", "value": 9966429667.728855 }, { "date": "2026-03-20", "value": 9965884538.565046 }, { "date": "2026-03-19", "value": 9965339454.82308 }, { "date": "2026-03-18", "value": 9964794413.782213 } ] }
Project slug (comma-separated for multiple).
arbitrum
ethereum
fogo
solana
"arbitrum"
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
OK